org.apache.ignite.internal.util.ipc

## Class IpcEndpointFactory

- java.lang.Object
- - org.apache.ignite.internal.util.ipc.IpcEndpointFactory

    public class IpcEndpointFactory
    extends Object

Igfs endpoint factory for inter-process communication.

### Constructor Summary

Constructors
Constructor and Description
`IpcEndpointFactory()`

### Method Summary

Methods
`static IpcEndpoint` `connectEndpoint(String endpointAddr, IgniteLogger log)` Connects to open server IPC endpoint.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IpcEndpointFactory

    public IpcEndpointFactory()

### Method Detail

#### connectEndpoint

    public static IpcEndpoint connectEndpoint(String endpointAddr,
                              IgniteLogger log)
                                       throws IgniteCheckedException

Connects to open server IPC endpoint.

Parameters:
  `endpointAddr` - Endpoint address.
  `log` - Log.
Returns:
  Connected client endpoint.
Throws:
  `IgniteCheckedException` - If failed to establish connection.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015